#include "graphevent.h"

GraphEvent::GraphEvent(double xMin, double xMax, double xScale, double yMin, double yMax, double yScale)
{
	_xMin = xMin;
	_xMax = xMax;
	_xScale = xScale;
	_yMin = yMin;
	_yMax = yMax;
	_yScale = yScale;
}

double GraphEvent::xMin() const
{
	return _xMin;
}

double GraphEvent::xMax() const
{
	return _xMax;
}

double GraphEvent::xScale() const
{
	return _xScale;
}

double GraphEvent::rScale() const
{
	return _xScale;
}

double GraphEvent::aScale() const
{
	return _yScale;
}

double GraphEvent::yMin() const
{
	return _yMin;
}

double GraphEvent::yMax() const
{
	return _yMax;
}


double GraphEvent::yScale() const
{
	return _yScale;
}
