/***************************************************************************
                          fungmath.h  -  description
                             -------------------
    begin                : Mon May 12 2003
    copyright            : (C) 2003 by Fungmeista
    email                : mizunoami44@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "fungmath.h"
 
#include <cmath>
#include <ctime>
#include <cstdlib>

int num_digits( int i )
{
	int n = i / 10;
	if ( n == 0 )
		return 1;
	else
		return num_digits( n );
	
}

int fibonacci( unsigned int n )
{
 	if ( n == 0)
 		return 0;
  	else if ( n == 1 )
 	  	return 1;
 	else
 		return fibonacci( n - 1 ) + fibonacci( n - 2 );
}

int factorial( unsigned int n )
{
	if ( n == 0 )
		return 1;
	else
		return factorial( n - 1 ) * n;
}

int iRand( float low, float high )
{
	return (rand() % static_cast<int>(ROUND(high-low-1)))+static_cast<int>(ROUND(low)) + 1;
}

float fRand( float low, float high )
{
	return static_cast<float>(rand())/static_cast<float>(RAND_MAX) * (high-low) + low;
}



