/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/

#include "animator.h"

void AnimationParamsDialog::setGraph( Animator *_graph )
{
	graph = _graph;
	NMinField->setText( QString::number( graph->getAnimationMin() ) );
	NMaxField->setText( QString::number( graph->getAnimationMax() ) );
	NStepField->setText( QString::number( graph->getAnimationStep() ) );
	NSpeedField->setText( QString::number( graph->getAnimationSpeed() ) );    
}

void AnimationParamsDialog::OKPressed()
{
	_min = QString( NMinField->text() ).toDouble();
	graph->setAnimationMin( _min );

	_max = QString( NMaxField->text() ).toDouble();
	graph->setAnimationMax( _max );
	
	_step = QString( NStepField->text() ).toDouble();

	graph->setAnimationStep( QString( NStepField->text() ).toDouble() );
	graph->setAnimationSpeed( QString( NSpeedField->text() ).toInt() );

	accept();
}

double AnimationParamsDialog::max()
{
	return _max;
}

double AnimationParamsDialog::min()
{
	return _min;
}

double AnimationParamsDialog::step()
{
	return _step;
}

