
#include <qobject.h>

#include "fungxmlhandler.h"
#include "graph.h"

FungXMLHandler::FungXMLHandler( Fung_main *main, QWidget *base ) : fung_main(main), ws(base), QXmlDefaultHandler()
{
}


FungXMLHandler::~FungXMLHandler()
{
}

bool FungXMLHandler::startDocument()
{
	return TRUE;
}

bool FungXMLHandler::endDocument()
{
	return TRUE;
}

bool FungXMLHandler::startElement( const QString &, const QString &, const QString &qName, const QXmlAttributes & attributes )
{
	if (qName == "graph")
	{
		QWidget * new_graph = Graph::createGraph( ws, attributes.value("type").toInt() );
		QObject::connect( new_graph, SIGNAL(destroyed()), fung_main, SLOT(windowClosed()) ); //when graphs are destroyed we need to update the toolbar appropriately  
	}
/*	qDebug("qName="+qName);
	for (int i=0; i<attributes.length(); i++)
        {
		qDebug(attributes.qName(i)+"="+attributes.value(attributes.qName(i)));
                qDebug("uri="+attributes.uri(i));       
        } */
	return TRUE;
}

bool FungXMLHandler::endElement( const QString &, const QString &, const QString & ) 
{
	return TRUE;
}
