/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename slots use Qt Designer which will
** update this file, preserving your code. Create an init() slot in place of
** a constructor, and a destroy() slot in place of a destructor.
*****************************************************************************/
#include "icons.h"
#include "graphtypeinfo.h"

void NewGraphDialog::init()
{
	#ifdef GLGRAPH
	(void) new QIconViewItem( GraphTypeIconView, tr("3D Function Graph"), QPixmap(glfunctiongraph_xpm) );
	(void) new QIconViewItem( GraphTypeIconView, tr("3D Polar Graph"), QPixmap(glpolargraph_xpm) );
	(void) new QIconViewItem( GraphTypeIconView, tr("3D Cylindrical Graph"), QPixmap(glcylindricalgraph_xpm) );
	#endif //GLGRAPH
	
        selectedGraph = -1;
}

void NewGraphDialog::selectGraph(QIconViewItem * selectedGraphType)
{
	selectedGraph = selectedGraphType->index();
	MoreInfo->setText( tr(info[selectedGraph]) );
}

void NewGraphDialog::createGraph(QIconViewItem* )
{
//	setResult(graphType->index());
//	selectedGraph = graphType->index();
	accept();
}

void NewGraphDialog::createGraph()
{
//	setResult(selectedGraph);
//	selectedGraph = graphType->index();
	accept();
}

int NewGraphDialog::getSelected()
{
    return selectedGraph;
}
