/***************************************************************************
                          cylindricalcoord.cpp  -  description
                             -------------------
    begin                : Mon Dec 2 2002
    copyright            : (C) 2002 by Fungmeista
    email                : mizunoami44@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cylindricalcoord.h"
#include "cartesian3dcoord.h"
                             
CylindricalCoord::CylindricalCoord(double r,double theta,double z) : PolarCoord(r,theta), _z(z)
{
}

Cartesian3DCoord CylindricalCoord::toCartesianCoord()
{
	return Cartesian3DCoord(x(),y(),_z);
}



