/***************************************************************************
                          basicgraphmain.h  -  description
                             -------------------
    begin                : Mon Feb 8 2003
    copyright            : (C) 2003 by Fungmeista
    email                : mizunoami44@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BASICGRAPHMAIN_H
#define BASICGRAPHMAIN_H

#include "commongraphmain.h"

class GraphEvent;
class BasicGraph;

class BasicGraphMain : public CommonGraphMain
{
	Q_OBJECT
        
	public:
		BasicGraphMain( QWidget* parent = 0, const char* name = 0 );
		~BasicGraphMain();
		
		BasicGraph* getGraph(){return graph;}

	public slots:
		void dimensionsChanged( const GraphEvent & e );

		//virtual void setExpression( QString & s );
		//virtual void sendExpression();

		void setXMin( const QString & s );
		void setXMax( const QString & s );
		void setXScale( const QString & s );
		void setYMin( const QString & s );
		void setYMax( const QString & s );
		void setYScale( const QString & s );

		void load ( const char *key, const char *value );
		void save ( std::ofstream * fileOutput );

	protected:
		void setGraph( BasicGraph *b );

	private:
		BasicGraph *graph;
};

#endif // BASICGRAPHMAIN_H
