/***************************************************************************
                          expressiongraphmain.h  -  description
                             -------------------
    begin                : Mon Jun 2 2003
    copyright            : (C) 2003 by Fungmeista
    email                : mizunoami44@users.sourceforge.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef EXPRESSIONGRAPHMAIN_H
#define EXPRESSIONGRAPHMAIN_H

#include "basicgraphmain.h"

class ExpressionGraph;

class ExpressionGraphMain : public BasicGraphMain
{
	Q_OBJECT

	public:
		ExpressionGraphMain( QWidget* parent = 0, const char* name = 0 );

		virtual void load ( char *key, char *value );
		void save ( std::ofstream * fileOutput );

	public slots:
		void play();
		void stop();
		void pause();

	protected:
		void setGraph( ExpressionGraph *e );

	private:
		ExpressionGraph *graph;
};

#endif //EXPRESSIONGRAPH_H
