
#ifndef FUNGXMLHANDLER_H
#define FUNGXMLHANDLER_H

#include <qxml.h>
#include <qwidget.h>

#include "interface.h"

class FungXMLHandler : public QXmlDefaultHandler
{
	public:
		FungXMLHandler( Fung_main *main, QWidget *base );
		~FungXMLHandler();

		bool startDocument();
		bool endDocument();
		bool startElement( const QString &, const QString &, const QString &, const QXmlAttributes & );
		bool endElement( const QString &, const QString &, const QString & );
                
	private:
		QWidget *ws; 
                Fung_main *fung_main;               
};

#endif
